Update GeSHi to the latest stable version
Closed, ResolvedPublic

Assigned To
None
Priority
Normal
Author
bzimport
Subscribers
None
Projects
Reference
bz21960
Description

Author: pmoura

Description:
Please update GeSHi to the latest stable version (1.0.8.6), which includes support for new languages and bug fixes to already supported languages.


Version: unspecified
Severity: enhancement

bzimport set Reference to bz21960.
bzimport created this task.Via LegacyDec 28 2009, 4:59 PM
Chad added a comment.Via ConduitDec 28 2009, 5:11 PM

Not a WMF shell bug (yet). Need to update the svn external in trunk first (after testing), then we can poke a shell to update WMF.

bzimport added a comment.Via ConduitFeb 12 2010, 5:02 AM

tal.galili wrote:

I also support the updating of GeSHi to the newer version. Thanks!

bzimport added a comment.Via ConduitAug 6 2010, 8:23 PM

soxred93 wrote:

Already fixed in r69378

bzimport added a comment.Via ConduitAug 6 2010, 9:00 PM

tal.galili wrote:

Not working.

I tried making a change using the new GeSHi, and I got the following error in wikipedia.org:

GeSHi Error: GeSHi could not find the language rsplus (using path /usr/local/apache/common-local/wmf-deployment/lib/GeSHi-1.0.8.4/geshi/) (code 2)
You need to specify a language like this: <source lang="html4strict">...</source>

bzimport added a comment.Via ConduitAug 6 2010, 9:05 PM

soxred93 wrote:

That's because it's not pushed to the main site yet.

bzimport added a comment.Via ConduitAug 6 2010, 9:06 PM

tal.galili wrote:

Thanks.

Where can I see when that is expected to happen ?

bzimport added a comment.Via ConduitAug 6 2010, 10:24 PM

soxred93 wrote:

Unfortunately, it's really unknown as to when it will happen. I'm going to try to poke the devs to update it on IRC.

bzimport added a comment.Via ConduitAug 6 2010, 11:17 PM

tal.galili wrote:

Many thanks Soxred!
I am looking forward for this next update.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.